## golang-github-bugsnag-bugsnag-go 1.0.5%2Bdfsg

=== debian/changelog ===
golang-github-bugsnag-bugsnag-go (1.0.5+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dmitry Smirnov ]
  * patch away obsolete "kardianos/osext"
  * Standards-Version: 4.1.4; Priority: optional
  * Testsuite: autopkgtest-pkg-go
  * debhelper & compat to version 11
  * copyright-format URL to HTTPS

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 04 Jul 2018 16:24:10 +1000

golang-github-bugsnag-bugsnag-go (1.0.5+dfsg-2) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Team upload.
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Konstantinos Margaritis ]
  * Replace golang-go with golang-any in Build-Depends, remove golang-go from
    Depends

 -- Konstantinos Margaritis <markos@debian.org>  Tue, 08 Aug 2017 17:44:37 +0300

golang-github-bugsnag-bugsnag-go (1.0.5+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #785167)

 -- Tim Potter <tpot@hp.com>  Fri, 08 May 2015 13:58:06 +1000

## golang-github-bugsnag-bugsnag-go 1.7.0

=== Makefile ===
TEST?=./...

default: alldeps test

deps:
	go get -v -d ./...

alldeps:
	go get -v -d -t ./...

updatedeps:
	go get -v -d -u ./...

test: alldeps
	@# skipping Gin if the Go version is lower than 1.9, as the latest version of Gin has dropped support for these versions.
	@if [ "$(GO_VERSION)" = "1.7" ] || [ "$(GO_VERSION)" = "1.8" ] || [ "$(GO_VERSION)" = "1.9" ]; then \
		go test . ./errors ./martini ./negroni ./sessions ./headers; \
	else \
		go test . ./errors ./gin ./martini ./negroni ./sessions ./headers; \
	fi
	@go vet 2>/dev/null ; if [ $$? -eq 3 ]; then \
		go get golang.org/x/tools/cmd/vet; \
	fi
	@go vet $(TEST) ; if [ $$? -eq 1 ]; then \
		echo "go-vet: Issues running go vet ./..."; \
		exit 1; \
	fi

maze:
	bundle install
	bundle exec bugsnag-maze-runner

ci: alldeps test

bench:
	go test --bench=.*

testsetup:
	gem update --system
	gem install bundler
	bundle install

testplain: testsetup
	bundle exec bugsnag-maze-runner -c features/plain_features

testnethttp: testsetup
	bundle exec bugsnag-maze-runner -c features/net_http_features

testgin: testsetup
	bundle exec bugsnag-maze-runner -c features/gin_features

testmartini: testsetup
	bundle exec bugsnag-maze-runner -c features/martini_features

testnegroni: testsetup
	bundle exec bugsnag-maze-runner -c features/negroni_features

testrevel: testsetup
	bundle exec bugsnag-maze-runner -c features/revel_features

.PHONY: bin checkversion ci default deps generate releasebin test testacc testrace updatedeps testsetup testplain testnethttp testgin testmartini testrevel

## golang-github-bugsnag-bugsnag-go 1.0.5+dfsg

=== debian/control ===
Source: golang-github-bugsnag-bugsnag-go
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hp.com>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
    golang-github-bitly-go-simplejson-dev,
    golang-github-bugsnag-panicwrap-dev,
    golang-github-juju-loggo-dev,
    golang-github-revel-revel-dev,
Standards-Version: 3.9.6
Homepage: https://github.com/bugsnag/bugsnag-go
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-bugsnag-go.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-bugsnag-go.git
XS-Go-Import-Path: github.com/bugsnag/bugsnag-go

Package: golang-github-bugsnag-bugsnag-go-dev
Architecture: all
Depends: ${misc:Depends},
         golang-go,
    golang-github-bitly-go-simplejson-dev,
    golang-github-bugsnag-panicwrap-dev,
    golang-github-juju-loggo-dev,
    golang-github-revel-revel-dev,
Description: automatic panic monitoring for Go applications
 The Bugsnag Notifier for Golang gives you instant notification of
 panics, or unexpected errors, in your golang app. Any unhandled panics
 will trigger a notification to be sent to a bugsnag.com account.

=== debian/rules ===
#!/usr/bin/make -f

## Don't build examples/revelapp due to FTBFS:
##     src/github.com/bugsnag/bugsnag-go/examples/revelapp/tests/apptest.go:6: undefined: revel.TestSuite
DH_GOLANG_EXCLUDES = examples/revelapp

## Don't build examples/http binary:
DH_GOLANG_EXCLUDES += examples/http

export DH_GOLANG_EXCLUDES

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	-dh_auto_test

## golang-github-bugsnag-bugsnag-go 1.7.0

=== debian/changelog ===
golang-github-bugsnag-bugsnag-go (1.7.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Anthony Fok ]
  * New upstream version 1.7.0
  * debian/watch: Update to version=4 and add filenamemangle, etc.
  * debian/gbp.conf: Set debian-branch to debian/sid for DEP-14 conformance
  * Remove debian/patches/noimport_osext.patch.
    Add dependency on golang-github-kardianos-osext-dev, and
    let panicwrap_test.go import github.com/kardianos/osext
  * debian/control: Update dependencies for v1.7.0,
    at least the ones that are already packaged for Debian
  * Add local copy of unpackaged dependencies
    - github.com/codegangsta/inject v0.0.0-20150114235600-33e0aa1cb7c0
    - github.com/go-martini/martini v0.0.0-20170121215854-22fa46961aab
  * debian/rules: Add execute_after_dh_auto_configure target to
    copy local dependencies to github.com/bugsnag/bugsnag-go/vendor
  * Bump dependency on golang-github-revel-revel-dev to (>= 1.0.0)
  * debian/rules: Remove override_dh_auto_test target
    now that all tests run successfully
  * debian/rules: Override dh_auto_install with --no-binaries
    to prevent test binaries from being installed
  * Apply "cme fix dpkg" fixes:
    - Organize debian/control fields
    - Update debhelper dependency to "Build-Depends: debhelper-compat (= 13)"
    - Bump Standards-Version to 4.5.0 (no change)
  * Update Maintainer email address to team+pkg-go@tracker.debian.org
  * Add "Rules-Requires-Root: no" to debian/control
  * debian/control: Change Section from devel to golang
  * Add myself to the list of Uploaders
  * Add copyright information for included bootstrap-3.3.6 and jquery-2.2.4
    and add non-minified versions to debian/missing-sources/

 -- Anthony Fok <foka@debian.org>  Fri, 20 Nov 2020 22:04:14 -0700

=== debian/control ===
Source: golang-github-bugsnag-bugsnag-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Tim Potter <tpot@hp.com>,
           Anthony Fok <foka@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-bitly-go-simplejson-dev,
               golang-github-bugsnag-panicwrap-dev,
               golang-github-gin-gonic-gin-dev,
               golang-github-gofrs-uuid-dev,
               golang-github-juju-loggo-dev,
               golang-github-kardianos-osext-dev,
               golang-github-pkg-errors-dev,
               golang-github-revel-revel-dev (>= 1.0.0),
               golang-github-urfave-negroni-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-bugsnag-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-bugsnag-go.git
Homepage: https://github.com/bugsnag/bugsnag-go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/bugsnag/bugsnag-go

Package: golang-github-bugsnag-bugsnag-go-dev
Architecture: all
Depends: golang-github-bitly-go-simplejson-dev,
         golang-github-bugsnag-panicwrap-dev,
         golang-github-gin-gonic-gin-dev,
         golang-github-gofrs-uuid-dev,
         golang-github-juju-loggo-dev,
         golang-github-kardianos-osext-dev,
         golang-github-pkg-errors-dev,
         golang-github-revel-revel-dev (>= 1.0.0),
         golang-github-urfave-negroni-dev,
         ${misc:Depends}
Description: automatic panic monitoring for Go applications
 The Bugsnag Notifier for Golang gives you instant notification of
 panics, or unexpected errors, in your golang app. Any unhandled panics
 will trigger a notification to be sent to a bugsnag.com account.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,10 @@
 export DH_GOLANG_EXCLUDES
 
 %:
-	dh $@ --buildsystem=golang --with=golang
+	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
 
-override_dh_auto_test:
-	-dh_auto_test
+execute_after_dh_auto_configure:
+	cp -av $(CURDIR)/debian/go/src _build/src/github.com/bugsnag/bugsnag-go/vendor
+
+override_dh_auto_install:
+	dh_auto_install -- --no-binaries

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-bugsnag-bugsnag-go-$1.tar.gz%" \
    https://github.com/bugsnag/bugsnag-go/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

## golang-github-bugsnag-bugsnag-go 2.2.0

=== debian/changelog ===
golang-github-bugsnag-bugsnag-go (2.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.2.0
  * Update Standards-Version to 4.6.2 (no changes)
  * Replace golang-github-gofrs-uuid-dev with golang-github-google-uuid-dev
  * Remove outdated references for js files

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 09 Nov 2023 20:45:44 +0800

golang-github-bugsnag-bugsnag-go (1.7.0-2) unstable; urgency=medium

  * Team upload
  * Simplify dependency graph.
    By not packaging integration with other libraries
  * Update Standards-Version to 4.6.0 (no changes)
  * Add Multi-Arch hint

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 09 Feb 2022 01:50:50 +0800

=== debian/control ===
Source: golang-github-bugsnag-bugsnag-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Tim Potter <tpot@hp.com>,
           Anthony Fok <foka@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-bitly-go-simplejson-dev,
               golang-github-bugsnag-panicwrap-dev,
               golang-github-google-uuid-dev,
               golang-github-kardianos-osext-dev,
               golang-github-pkg-errors-dev,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-bugsnag-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-bugsnag-go.git
Homepage: https://github.com/bugsnag/bugsnag-go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/bugsnag/bugsnag-go

Package: golang-github-bugsnag-bugsnag-go-dev
Architecture: all
Depends: golang-github-bugsnag-panicwrap-dev,
         golang-github-google-uuid-dev,
         golang-github-pkg-errors-dev,
         ${misc:Depends},
Multi-Arch: foreign
Description: automatic panic monitoring for Go applications
 The Bugsnag Notifier for Golang gives you instant notification of
 panics, or unexpected errors, in your golang app. Any unhandled panics
 will trigger a notification to be sent to a bugsnag.com account.

## golang-github-bugsnag-bugsnag-go 2.5.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 TEST?=./...
+
+export GO111MODULE=auto
 
 default: alldeps test

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                golang-github-google-uuid-dev,
                golang-github-kardianos-osext-dev,
                golang-github-pkg-errors-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-bugsnag-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-bugsnag-go.git
 Homepage: https://github.com/bugsnag/bugsnag-go
@@ -22,11 +22,11 @@
 
 Package: golang-github-bugsnag-bugsnag-go-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: golang-github-bugsnag-panicwrap-dev,
          golang-github-google-uuid-dev,
          golang-github-pkg-errors-dev,
          ${misc:Depends},
-Multi-Arch: foreign
 Description: automatic panic monitoring for Go applications
  The Bugsnag Notifier for Golang gives you instant notification of
  panics, or unexpected errors, in your golang app. Any unhandled panics

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := \
	examples features \
	gin martini negroni revel

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
